#ifndef JETPACK_CONTROLLER_HPP_
#define JETPACK_CONTROLLER_HPP_

#include <Controller/GadgetController/GadgetController.hpp>
#include <ControllerChannel/ControllerChannel.hpp>
#include <Item/StatefulItem/Jetpack/Jetpack.hpp>

class JetpackController final : public GadgetController
{
private:
    std::string fluidName;
    int amount = 0;

    Command<uint32_t, std::string, uint32_t> updateJetpack;

public:
    JetpackController(ControllerChannel &channel);

    virtual void update() override;
    virtual Widget* getWidget() override;
};

#endif